<template>
    <iframe :src="url" class="iframe"></iframe>
</template>
<style>
    .iframe{
        width: 100%;
        height: calc(100vh - 84px);
        border: none;
    }
</style>
<script>
import {getUserProfile} from "@/api/system/user";

export default {
  data() {
    return {
      username: ''
    }
  },
  computed:{
    url(){
      return 'https://chatgpt.groupage.cn/#/' + this.username
    }
  },
  created() {
    getUserProfile().then(res => {
      this.username = res.data.username
    })
  }
}
</script>
